Subject: RE: [Sipping] Re: draft-elwell-sipping-service-retargeting-00.txt

From: "Elwell, John" <[email-masked]>
Date: Tue, 18 Oct 2005 15:01:56 +0100

Mike,

> -----Original Message-----
> From: Michael Hammer (mhammer) [mailto:[email-masked]] 
> Sent: 18 October 2005 14:51
> To: Elwell, John; Francois Audet; Paul Kyzivat (pkyzivat)
> Cc: sipping
> Subject: RE: [Sipping] Re: 
> draft-elwell-sipping-service-retargeting-00.txt
> 
> John,
> 
> Independent of the current argument, the point you make suggests that
> RFC 3326 needs to be revised.  When you talk about the explicitly
> allowed requirement, where would that be found?  
> 
> In RFC 32361 there is a table that says what header can go in what
> message or response including 3xx responses.  Other RFCs, 
> when adding a
> new header replicate that table and provide this information. 
>  What your
> assertion below contends vis-a-vis 302 and Reason header, is 
> that either
> RFC 3261 (because that is where 302 is defined) or 3326 
> (because that is
> where Reason header is defined) gets updated to provide that table.
> Having an additional RFC provide that table providing permissions for
> existing headers and methods/responses would be a hack.
> 
> Am I misreading this?
> 
> Mike

[JRE] No you're not misreading this. If we were to go down that route we
would have to find somewhere to document it. Moreover, we would require
special behaviour at the UAC or recursing proxy to take account of this
additional information, whereas if it is in the Contact URI it would
automatically get forwarded during the recursion process.

John

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP